org.jetlang.remote.client

## Class LogoutResult

- java.lang.Object
- - org.jetlang.remote.client.LogoutResult

    public class LogoutResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LogoutResult(AtomicBoolean logoutLatchComplete, CountDownLatch closedLatch)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `await(int time, TimeUnit unit)`
`boolean` `awaitClosedLatchOnly(int time, TimeUnit unit)`
`boolean` `closedLatchComplete()`
`boolean` `logoutLatchComplete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogoutResult

    public LogoutResult(AtomicBoolean logoutLatchComplete,
                        CountDownLatch closedLatch)

### Method Detail

#### logoutLatchComplete

    public boolean logoutLatchComplete()

#### closedLatchComplete

    public boolean closedLatchComplete()

#### await

    public boolean await(int time,
                         TimeUnit unit)
                  throws InterruptedException

Throws:
  `InterruptedException`

#### awaitClosedLatchOnly

    public boolean awaitClosedLatchOnly(int time,
                                        TimeUnit unit)
                                 throws InterruptedException

Throws:
  `InterruptedException`